<template>
    <div class="user">
        <strong>{{ user.name }}</strong>
        <button v-on:click="handleDelete" type="button" class="delete">X</button>
    </div>
</template>

<script>
    export default {
        name: 'User',
        props: {
            user: Object,
            default: null
        },
        data(){
            return {

            }
        },
        methods: {
            handleDelete(e){
                var data = {
                    id: this.user.id
                }
                this.$emit('deleteUser',data)
            }
        }
    }
</script>

<style scoped>
    .user{
        width: 30%;
        border: solid 1px black;
        min-height: 100px;
        display: flex;
        align-items: center;
        justify-content: center;
        margin-bottom: 20px;
        position: relative;
    }
    .delete{
        background-color: transparent;
        font-size: 20px;
        position: absolute;
        top: 15px;
        right: 15px;
        outline: none;
        box-shadow: none;
        padding: 0;
        cursor: pointer;
    }
</style>